/*ID：容器ID
InputID：存值ID
CategoryID：分类参数
Type:菜单类型
DefaultStr：默认字符串
Fu:回调函数
FileName:文件*/
function CreateSelect(ID,InputID,CategoryID,Type,DefaultStr,Fu,FileName)
{
	$('#'+InputID).val(CategoryID);
	if(!G(ID) || !G(InputID))return;
	$.get(FileName+".asp",{'P':2,'ID':CategoryID},function(Str){
		$('#'+ID).append(Str);
		if(Type==0)
		{$('#'+ID+' > select').prepend('<option value="0">'+DefaultStr+'</option>');}
		else
		{$('#'+ID+' > select').eq(0).prepend('<option value="0">'+DefaultStr+'</option>');}
		if($('#'+ID+' > select').slice(-1).val()!=CategoryID){$('#'+ID+' select').slice(-1).val(['0'])}
		$('#'+ID+' > select').change(function(){ChangeSelect(this);});
	});
	function ChangeSelect(obj)
	{
		$(obj).nextAll('select').remove();
		if($(obj).val()=='0')
		{
			$('#'+InputID).val($(obj).prev('select').val()||0);
			if($.isFunction(Fu))Fu(obj);
			return;
		}
		$('#'+InputID).val($(obj).val());
		$.get(FileName+".asp",{'P':Type,'ID':$(obj).val()},function(Str){
			$(obj).after(Str);
			if(Type==0)
			{
				$(obj).nextAll('select').prepend('<option value="0">'+DefaultStr+'</option>');
				if($('#'+ID+' > select').slice(-1).val()!=$(obj).val()){$('#'+ID+' select').slice(-1).val(['0'])}
			}else{
				$('#'+InputID).val($('#'+ID+' select').slice(-1).val());
			}
			$(obj).nextAll('select').change(function(){ChangeSelect(this);});
			if($.isFunction(Fu))Fu(obj);
		});
	}
}